RECONSTRUCTPAR(1)

NAME
reconstructPar - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
reconstructPar [OPTIONS]

DESCRIPTION
Reconstruct fields of a parallel case

OPTIONS

-allRegions
    Operate on all regions in regionProperties

-case dir
    Specify case directory to use (instead of the cwd)

-constant
    Include the 'constant/' dir in the times list

-fields wordRes
    Specify single or multiple fields to reconstruct (all by default). Eg, 'T' or

-lagrangianFields wordRes
    Specify single or multiple lagrangian fields to reconstruct (all by default). Eg, '(U d)' - Positions are always included.

-latestTime
    Select the latest time

-newTimes
    Only reconstruct new times (i.e. that do not exist already)

-noFields
    Skip reconstructing fields

-noLagrangian
    Skip reconstructing lagrangian positions and fields

-noSets
    Skip reconstructing cellSets, faceSets, pointSets

-noZero
    Exclude the '0/' dir from the times list, has precedence over the -withZero option

-region name
    Specify alternative mesh region

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-withZero
    Include the '0/' dir in the times list

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.